Management APIUser sign-in and registration
⚠️Compliance notice: Use this project only for lawfully authorized API gateway, internal management, and private deployment scenarios. Follow upstream terms of service, platform rules, regulatory requirements, and content safety requirements.
Sign in
When enabled is true, submit password_encrypted and encryption_key_id; kid identifies the current public key. Do not send plaintext password.
usernamestring
password?string
password_encrypted?string
encryption_key_id?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.beeaicloud.com/api/user/login" \ -H "Content-Type: application/json" \ -d '{ "username": "string" }'{
"success": true,
"message": "string",
"data": {
"access_token": "string",
"token_type": "string",
"access_expires_at": 0,
"user": {
"id": 0,
"username": "string",
"role": 0,
"status": 0
},
"session": {
"sid": "string"
}
}
}{
"success": false,
"message": "string",
"code": "string",
"data": {
"code": "string"
}
}{
"success": false,
"message": "string",
"code": "string",
"data": {
"code": "string"
}
}{
"success": false,
"message": "string",
"code": "string",
"data": {
"code": "string"
}
}{
"success": false,
"message": "string",
"code": "string",
"data": {
"code": "string"
}
}{
"success": false,
"message": "string",
"code": "string",
"data": {
"code": "string"
}
}How is this guide?